Subject: Re: [PATCH] gitweb: Support for custom per-project owner string

From: Jakub Narebski <[email-masked]>
Date: Wed, 20 Sep 2006 21:01:05 +0200

Petr Baudis wrote:

> Dear diary, on Wed, Sep 20, 2006 at 05:02:21PM CEST, I got a letter
> where Junio C Hamano <[email-masked]> said that...
>> Petr Baudis <[email-masked]> writes:
>> 
>>> Also, ideally this would be in the configfile but calling repoconfig for
>>> each repository in the index would slow things down way too much.
>> 
>> Hmph.  I wonder why.  We do read description already from a file
>> so maybe we would want a faster way to access the config file to
>> grab gitweb.* variables in a single call?
> 
> Still, opening files is _much_ faster than executing a tool, I'd say.

Perhaps we should just parse $GIT_DIR/config ourself in gitweb
(this is thing that I certainly would want to see in Git.pm).
There are many modules which parse ini-like config files, but it
shouldn't be that difficult to write parser which _reads_ and parses
config file (without support for setting variables).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git